.wrapper.fullWidth-media-wrapper{
  position: relative;
  overflow: hidden;
  margin-bottom: 80px;
}

.wrapper.fullWidth-media-wrapper .row{
    --bs-gutter-y: 0;
    --bs-gutter-x:0
}


.wrapper.fullWidth-media-wrapper .media-img-container img{
  object-fit: cover;
  height: 100%;
  width: 100%;
}

.wrapper.fullWidth-media-wrapper.fullWidth-image .media-image,
.wrapper.fullWidth-media-wrapper.fullWidth-internal-video .media-internal-video,
.wrapper.fullWidth-media-wrapper.fullWidth-external-video .media-external-video
{
    display: block !important;
}

.fullWidth-video-section {
  position: relative;
  width: 100%;
  /* max-height: 100vh; */
  height: auto;
  display: flex;
  flex-direction: column;
}

/* .fullWidth-video-section::before {
  content: "";
  display: block;
  padding-top: 56.33333%;
} */

.fullVideo-abs-fill {
  /* position: absolute; */
  /* top: 0;
  left: 0; */
  height: 100%;
  width: 100%;
  position: relative;
}

.fullVideo-abs-fill .fullWidth-video-background{
    position: absolute;
    top: 0;
}

.hide {
   display: none;
  /* visibility: hidden; */
  opacity: 0;
}

.show {
 display: block;
  /* visibility: inherit; */
  opacity: 1;
}

.video-imgCanvas {
  /* position: absolute; */
  top: 0;
  left: 0;
  height: auto;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.video-imgCanvas img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.fullWidth-responsive-video {
  height: 100%;
  width: 100%;
}

.fullWidth-controls-wrapper {
  height: 100%;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: 50px;
  padding-right: 50px;
  max-width: calc(100vw - 100px);
  position: relative;
}
.iframeVideo-parentControl {
    position: initial;
    display: inline-block;
    width: 100%;
    padding-top: 56.2% !important;
    overflow: hidden;
}

.iframeVideo-parentControl iframe {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}
@media (min-width: 1025px){
  .wrapper.fullWidth-media-wrapper .media-img-container img{
    aspect-ratio: 2/1;
  }
}
@media (max-width: 991px) {
  .fullWidth-controls-wrapper {
    padding-left: 25px;
    padding-right: 25px;
    max-width: 145rem;
  }

  /* .fullWidth-video-container {
	margin-bottom: 6vw;

  } */
  .fullWidth-video-container.playIconRight {
    margin-right: 0;
  }
}

.fullWidth-video-controls {
  width: 100%;
  height: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  top: auto;
  right: 0;
  bottom: 20px;
  left: 0;
  position: absolute;
  transition: opacity 0.35s;
}

.fullWidth-play-pause {
  color: #fff;
  transition: color 0.4s cubic-bezier(0.645, 0.045, 0.355, 1);
  z-index: 1;
  height: 40px;
  width: 40px;
  background: transparent;
  border: none;
  text-decoration: none;
  cursor: pointer;
  outline: none;
  display: inline-block;
  position: relative;
  flex-shrink: 0;
  padding: 0;
  border-radius: 50%;
}

.fullWidth-play-pause .icon {
  color: #fff;
  height: 50%;
  width: 50%;
  position: absolute;
  outline: none;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: color 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.fullWidth-play-pause .icon.pause svg,
.fullWidth-play-pause .icon.play svg {
  /* fill: #000a3c; */
  fill: currentColor;
}

.fullWidth-play-pause .icon.pause:hover svg {
  fill: #03D1E5;
}

.fullWidth-play-pause .icon.play:hover svg {
  fill: #03D1E5;
}

.fullWidth-play-pause .icon svg {
  height: auto;
  width: 100%;
  display: inline-block;
  vertical-align: top;
  max-width: 2rem;
  max-height: 2rem;
}

.fullWidth-progress-wrapper {
  height: 1.6rem;
  width: 100%;
}

.fullWidth-progress-wrapper .fullWidth-progress {
  height: 2px;
  width: 100%;
  position: relative;
  background-color: #e9ecef;
  overflow: hidden;
  display: inline-block;
  vertical-align: middle;
  cursor: pointer;
}

.fullWidth-progress-wrapper .fullWidth-progress .fullWidth-internal-progress {
  background-color: #03D1E5;
  position: absolute;
  top: 0;
  left: 0;
  outline: thin solid #03D1E5;
  height: 100%;
  width: 0px;
}

.fullWidth-volume-controls {
  vertical-align: middle;
  display: inline-flex;
  align-items: center;
  flex-shrink: 0;
  margin: 0 0 0 1.6rem;
}

@media (min-width:992px) {
    .fullWidth-playble-background-video,
    .fullWidth-playble-background-video article,
    .fullWidth-playble-background-video article * {
        height: 100%;
    }
}

@media (max-width: 991px) {
  .fullWidth-volume-controls {
    display: none;
  }

  .fullWidth-video-controls {
    bottom: 5px;
  }

 .component-driven .fullWidth-playble-background-video video{
    aspect-ratio: 1/1;
    object-fit: contain;
    background-color: #000000;
  }
}

.fullWidth-volume-controls .fullWidth-slider-vol {
  top: 3px;
  height: 2px;
  width: 80px;
  position: relative;
  overflow: hidden;
  background-color: #e9ecef;
  display: inline-block;
  vertical-align: middle;
  cursor: pointer;
}

.fullWidth-volume-controls .fullWidth-slider-vol .fullWidth-progress-volume {
  background-color: #03D1E5;
  position: absolute;
  top: 0;
  left: 0;
  outline: thin solid #03D1E5;
  height: 100%;
  width: 0px;
}

.fullWidth-button-close {
  color: #7feaed;
  transition: color 0.4s cubic-bezier(0.645, 0.045, 0.355, 1);
  z-index: 1;
  height: 40px;
  width: 40px;
  background: transparent;
  border: none;
  text-decoration: none;
  cursor: pointer;
  outline: none;
  display: inline-block;
  position: relative;
  flex-shrink: 0;
  padding: 0;
  border-radius: 50%;
  margin-left: 40px;
}

.fullWidth-button-close .icon {
  color: #fff;
  height: 50%;
  width: 50%;
  position: absolute;
  outline: none;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: color 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.fullWidth-button-close .icon:hover svg {
  fill: #03D1E5;
}

.fullWidth-button-close .icon svg {
  height: auto;
  width: 100%;
  display: inline-block;
  vertical-align: top;
  outline: none;
  max-width: 2rem;
  max-height: 2rem;
  fill: white;
}

.fullWidth-mute-unmute {
  color: #03D1E5;
  transition: color 0.4s cubic-bezier(0.645, 0.045, 0.355, 1);
  z-index: 1;
  height: 40px;
  width: 40px;
  background: transparent;
  border: none;
  text-decoration: none;
  cursor: pointer;
  outline: none;
  display: inline-block;
  position: relative;
  flex-shrink: 0;
  padding: 0;
  border-radius: 50%;
}

.fullWidth-mute-unmute .icon {
  fill: white;
  height: 50%;
  width: 50%;
  position: absolute;
  outline: none;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: color 0.25s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.fullWidth-mute-unmute .icon:hover svg {
  fill: #03D1E5;
}

.fullWidth-mute-unmute .icon svg {
  height: auto;
  width: 100%;
  outline: none;
  outline: none;
  display: inline-block;
  vertical-align: top;
  max-width: 2rem;
  max-height: 2rem;
}

.fullWidth-banner {
  position: relative;
  width: 100%;
  height: 100%;
}

@media (max-width: 991px) {
  .fullWidth-banner {
    background-size: cover;
  }

  .fullWidth-banner.image-background {
    padding-top: 30vw;
    padding-bottom: 55vw;
  }
}

@media (min-width: 992px) {
	.fullWidth-video-container.playIconRight {
	  margin-right: 30px;
	}
	.fullWidth-video-container.playIconLeft {
	  margin-left: 30px;
	}
  .fullWidth-banner.fullWidth-video-background {
    margin-left: auto;
    margin-right: auto;
  }
  .media-external-video  * {
    height: 100%;
  }
  .media-external-video .iframeVideo-parentControl{
    padding: 0 !important;
  }
}


.fullWidth-video-container.playIconCenter .fullWidth-video-content{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
}
/* .fullWidth-video-container.playIconRight .fullWidth-banner.fullWidth-video-background .fullWidth-video-content {
  right: -5%;
}
.fullWidth-video-container.playIconLeft .fullWidth-banner.fullWidth-video-background .fullWidth-video-content {
  left: -5%;
  right: auto;
} */

/* @media (max-width: 1280px) {
  .fullWidth-banner.fullWidth-video-background .fullWidth-video-content {
    padding: 8rem 0;
  }
} */

@media (max-width: 991px) {
  .fullWidth-banner.fullWidth-video-background .fullWidth-video-content {
    padding: 0 0;
  }
  .fullWidth-video-container.playIconRight .fullWidth-banner.fullWidth-video-background .fullWidth-video-content,
  .fullWidth-video-container.playIconLeft .fullWidth-banner.fullWidth-video-background .fullWidth-video-content{
	right: auto;
    left: 5%;
    bottom: 10%;
  }

   .fullWidth-banner.fullWidth-video-background .fullWidth-video-content .fullWidth-button-play {
    height: 46.4px;
    width: 48.9px;
  }
  .fullWidth-banner.fullWidth-video-background .fullWidth-video-content .fullWidth-button-play svg{
	height: 100%;
	width: 100%;
  }
  .component-driven .media-external-video{
    height: calc(100vw);
  }
  .media-external-video  * {
    height: 100%;
  }
}

.fullWidth-banner.fullWidth-video-background .fullWidth-video-content .fullWidth-button-play {
  /* width: 10vw; */
  background: transparent;
  border: none;
  text-decoration: none;
  cursor: pointer;
  outline: none;
  display: inline-block;
  position: relative;
  flex-shrink: 0;
}

@media (max-width: 1280px) and (min-width: 992px) {
  .fullWidth-banner.fullWidth-video-background .fullWidth-video-content .fullWidth-button-play {
    height: 80px;
    width: 80px;
  }
}

.fullWidth-banner.fullWidth-video-background
  .fullWidth-video-content
  .fullWidth-button-play
  .fullWidth-icon-play {
  color: #000a3c;
  height: 15%;
  width: 15%;
  transition: none;
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.fullWidth-banner.fullWidth-video-background
  .fullWidth-video-content
  .fullWidth-button-play
  .fullWidth-icon-play
  svg {
  height: auto;
  width: 100%;
  display: inline-block;
  vertical-align: top;
}

.video-spotlight {
  position: absolute;
  top: -16px;
  right: 16px;
  z-index: 4;
  background-color: #1d7aff;
  color: #fff;
  padding: 0.9em 1.5em;
  font-size: 14px;
  font-family: "ProximaNova";
  font-weight: 700;
}

.video-spotlight:before {
  content: "";
  height: 0;
  width: 0;
  right: -16px;
  top: 0px;
  border-bottom: 16px solid #023f8c;
  border-right: 16px solid transparent;
  position: absolute;
}
.fullWidth-video-container.tagLeft .video-spotlight {
  left: 0;
  right: auto;
}
.fullWidth-video-container.tagLeft .video-spotlight:before {
  right: -16px;
  top: 0px;
  border-right: 16px solid transparent;
}
.fullWidth-video-container.tagRight .video-spotlight {
  left: auto;
  right: 16px;
}
.fullWidth-video-container.tagRight .video-spotlight:before {
  right: auto;
  left: 117px;
  border-right: 16px solid transparent;
  border-left: transparent;
}
@media (min-width: 991px) and (max-width: 1600px) {
    .video-spotlight {
        top: -16px;
    }

    .fullWidth-video-container.tagRight .video-spotlight:before {
        left: 117.7px;
    }
}
@media (max-width: 990px){
	.fullWidth-video-container.tagLeft .video-spotlight{
		right: 16px;
		left: auto;
	}
}


@media (max-width: 1024px){
  .wrapper.fullWidth-media-wrapper{
    margin-bottom: 64px;
  }
}
